// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: breakermodule/breakermodule.proto

package openfmb.breakermodule;

public final class Breakermodule {
  private Breakermodule() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerDiscreteControlXCBR_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerDiscreteControlXCBR_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerDiscreteControl_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerDiscreteControl_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_Breaker_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_Breaker_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerDiscreteControlProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerDiscreteControlProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerEvent_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerEvent_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerEventProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerEventProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerReading_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerReading_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerReadingProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerReadingProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerStatus_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerStatus_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_breakermodule_BreakerStatusProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_breakermodule_BreakerStatusProfile_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n!breakermodule/breakermodule.proto\022\rbre" +
      "akermodule\032\tuml.proto\032\037commonmodule/comm" +
      "onmodule.proto\"b\n\032BreakerDiscreteControl" +
      "XCBR\022D\n\023discreteControlXCBR\030\001 \001(\0132!.comm" +
      "onmodule.DiscreteControlXCBRB\004\200\265\030\001\"\315\001\n\026B" +
      "reakerDiscreteControl\0226\n\014controlValue\030\001 " +
      "\001(\0132\032.commonmodule.ControlValueB\004\200\265\030\001\022,\n" +
      "\005check\030\002 \001(\0132\035.commonmodule.CheckConditi" +
      "ons\022M\n\032breakerDiscreteControlXCBR\030\003 \001(\0132" +
      ").breakermodule.BreakerDiscreteControlXC" +
      "BR\"O\n\007Breaker\022D\n\023conductingEquipment\030\001 \001" +
      "(\0132!.commonmodule.ConductingEquipmentB\004\200" +
      "\265\030\001\"\355\001\n\035BreakerDiscreteControlProfile\022B\n" +
      "\022controlMessageInfo\030\001 \001(\0132 .commonmodule" +
      ".ControlMessageInfoB\004\200\265\030\001\0221\n\007breaker\030\002 \001" +
      "(\0132\026.breakermodule.BreakerB\010\210\265\030\001\220\265\030\001\022O\n\026" +
      "breakerDiscreteControl\030\003 \001(\0132%.breakermo" +
      "dule.BreakerDiscreteControlB\010\210\265\030\001\220\265\030\001:\004\300" +
      "\363\030\001\"\200\001\n\014BreakerEvent\0222\n\neventValue\030\001 \001(\013" +
      "2\030.commonmodule.EventValueB\004\200\265\030\001\022<\n\022stat" +
      "usAndEventXCBR\030\002 \001(\0132 .commonmodule.Stat" +
      "usAndEventXCBR\"\313\001\n\023BreakerEventProfile\022>" +
      "\n\020eventMessageInfo\030\001 \001(\0132\036.commonmodule." +
      "EventMessageInfoB\004\200\265\030\001\0221\n\007breaker\030\002 \001(\0132" +
      "\026.breakermodule.BreakerB\010\210\265\030\001\220\265\030\001\022;\n\014bre" +
      "akerEvent\030\003 \001(\0132\033.breakermodule.BreakerE" +
      "ventB\010\210\265\030\001\220\265\030\001:\004\300\363\030\001\"\264\002\n\016BreakerReading\022" +
      "b\n\"conductingEquipmentTerminalReading\030\001 " +
      "\001(\01320.commonmodule.ConductingEquipmentTe" +
      "rminalReadingB\004\200\265\030\001\0222\n\017diffReadingMMXU\030\002" +
      " \001(\0132\031.commonmodule.ReadingMMXU\022*\n\tphase" +
      "MMTN\030\003 \001(\0132\027.commonmodule.PhaseMMTN\022.\n\013r" +
      "eadingMMTR\030\004 \001(\0132\031.commonmodule.ReadingM" +
      "MTR\022.\n\013readingMMXU\030\005 \001(\0132\031.commonmodule." +
      "ReadingMMXU\"\331\001\n\025BreakerReadingProfile\022B\n" +
      "\022readingMessageInfo\030\001 \001(\0132 .commonmodule" +
      ".ReadingMessageInfoB\004\200\265\030\001\0221\n\007breaker\030\002 \001" +
      "(\0132\026.breakermodule.BreakerB\010\210\265\030\001\220\265\030\001\022C\n\016" +
      "breakerReading\030\003 \003(\0132\035.breakermodule.Bre" +
      "akerReadingB\014\210\265\030\001\220\265\030\001\230\265\030\002:\004\300\363\030\001\"\203\001\n\rBrea" +
      "kerStatus\0224\n\013statusValue\030\001 \001(\0132\031.commonm" +
      "odule.StatusValueB\004\200\265\030\001\022<\n\022statusAndEven" +
      "tXCBR\030\002 \001(\0132 .commonmodule.StatusAndEven" +
      "tXCBR\"\320\001\n\024BreakerStatusProfile\022@\n\021status" +
      "MessageInfo\030\001 \001(\0132\037.commonmodule.StatusM" +
      "essageInfoB\004\200\265\030\001\0221\n\007breaker\030\002 \001(\0132\026.brea" +
      "kermodule.BreakerB\010\210\265\030\001\220\265\030\001\022=\n\rbreakerSt" +
      "atus\030\003 \001(\0132\034.breakermodule.BreakerStatus" +
      "B\010\210\265\030\001\220\265\030\001:\004\300\363\030\001B\207\001\n\025openfmb.breakermodu" +
      "leP\001ZTgitlab.com/openfmb/psm/ops/protobu" +
      "f/go-openfmb-ops-protobuf/v2/openfmb/bre" +
      "akermodule\252\002\025openfmb.breakermoduleb\006prot" +
      "o3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          openfmb.Uml.getDescriptor(),
          openfmb.commonmodule.Commonmodule.getDescriptor(),
        });
    internal_static_breakermodule_BreakerDiscreteControlXCBR_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_breakermodule_BreakerDiscreteControlXCBR_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerDiscreteControlXCBR_descriptor,
        new java.lang.String[] { "DiscreteControlXCBR", });
    internal_static_breakermodule_BreakerDiscreteControl_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_breakermodule_BreakerDiscreteControl_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerDiscreteControl_descriptor,
        new java.lang.String[] { "ControlValue", "Check", "BreakerDiscreteControlXCBR", });
    internal_static_breakermodule_Breaker_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_breakermodule_Breaker_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_Breaker_descriptor,
        new java.lang.String[] { "ConductingEquipment", });
    internal_static_breakermodule_BreakerDiscreteControlProfile_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_breakermodule_BreakerDiscreteControlProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerDiscreteControlProfile_descriptor,
        new java.lang.String[] { "ControlMessageInfo", "Breaker", "BreakerDiscreteControl", });
    internal_static_breakermodule_BreakerEvent_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_breakermodule_BreakerEvent_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerEvent_descriptor,
        new java.lang.String[] { "EventValue", "StatusAndEventXCBR", });
    internal_static_breakermodule_BreakerEventProfile_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_breakermodule_BreakerEventProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerEventProfile_descriptor,
        new java.lang.String[] { "EventMessageInfo", "Breaker", "BreakerEvent", });
    internal_static_breakermodule_BreakerReading_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_breakermodule_BreakerReading_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerReading_descriptor,
        new java.lang.String[] { "ConductingEquipmentTerminalReading", "DiffReadingMMXU", "PhaseMMTN", "ReadingMMTR", "ReadingMMXU", });
    internal_static_breakermodule_BreakerReadingProfile_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_breakermodule_BreakerReadingProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerReadingProfile_descriptor,
        new java.lang.String[] { "ReadingMessageInfo", "Breaker", "BreakerReading", });
    internal_static_breakermodule_BreakerStatus_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_breakermodule_BreakerStatus_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerStatus_descriptor,
        new java.lang.String[] { "StatusValue", "StatusAndEventXCBR", });
    internal_static_breakermodule_BreakerStatusProfile_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_breakermodule_BreakerStatusProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_breakermodule_BreakerStatusProfile_descriptor,
        new java.lang.String[] { "StatusMessageInfo", "Breaker", "BreakerStatus", });
    com.google.protobuf.ExtensionRegistry registry =
        com.google.protobuf.ExtensionRegistry.newInstance();
    registry.add(openfmb.Uml.optionMultiplicityMax);
    registry.add(openfmb.Uml.optionMultiplicityMin);
    registry.add(openfmb.Uml.optionOpenfmbProfile);
    registry.add(openfmb.Uml.optionParentMessage);
    registry.add(openfmb.Uml.optionRequiredField);
    com.google.protobuf.Descriptors.FileDescriptor
        .internalUpdateFileDescriptor(descriptor, registry);
    openfmb.Uml.getDescriptor();
    openfmb.commonmodule.Commonmodule.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
